<?php
session_start();
include "custom.php";
include "functions.php";

/* Save input for the last item */
include "saveData.php";

/* Is the result worth saving? */
/* Only write data if the participant completed more than half of the items */
$totalNbItems = $_SESSION['numberOfItems'];
$min = $totalNbItems/2;
$complete = 0;
foreach ($_SESSION['results'] as $key => $item) {
  if (!(preg_match("/\t-\t-\t/", $item))) {
    ++$complete;
  }
  if ($complete >= $min) {
    break;
  }
}

if ($complete >= $min) {
  /* Mark the participant's ip address, to help check nobody takes part more than once */
  if (getenv("HTTP_CLIENT_IP")) {
    $ipAdress = getenv("HTTP_CLIENT_IP");
  } elseif (getenv("HTTP_X_FORWARDED_FOR")) {
    $ipAdress = getenv("HTTP_X_FORWARDED_FOR");
  } elseif (getenv("REMOTE_ADDR")) {
    $ipAdress = getenv("REMOTE_ADDR");
  }
  
  $host_lookup = exec("host $ipAdress");
  preg_match("/ ([-_\.\w]+)\.$/i", $host_lookup, $match);
  $host = $match[1];
  
  $thissession = session_id();
  $userAgent = getenv("HTTP_USER_AGENT");
  
  $results = implode("\n", array_values($_SESSION['results']));
  
  $output = 
"Participant: $_SESSION[participant]
IP Address: $ipAdress ($host)
Session ID: $thissession
User-Agent: $userAgent
Age: $_SESSION[age]
Sex: $_SESSION[sex]
Occupation: $_SESSION[field]
Mother-Tongue: $_SESSION[region]

$results
";

  /* Give unique names to the results files */
  /* Count the number of existing files */
  $dirHandle = opendir(Results);
  while ($file = readdir($dirHandle)) {
    if (!(preg_match("/^\./", $file))) {
      ++$existResults;
    }
  }
  /* Determine the name of the new file */
  $resultsFile = "participant" . ++$existResults . ".txt" ;
  
  /* Write data on server in directory "Results" */
  $resultsHandle = fopen("Results/$resultsFile", 'a');
  fwrite($resultsHandle, $output . "\n");
  fclose($resultsHandle);
  
  /* Send an email with the results to the experimenter */
  /* See example 4 in the documentation  of "mail()" in the PHP manual */
  $subject = "$emailSubjectLine: $resultsFile";
  /* Additional headers */
  $headers = "From: $_SESSION[participant] \n";
  $headers .= "User-Agent: $userAgent \n";
  /* Email the results */
  mail($webmasterEMail, $subject, $output, $headers);

} //End "if complete"

  include "header.html";
  include "Text/thankyou.html";
  include "footer.html";

?>
