<?php
session_start();
include "custom.php";
include "functions.php";

/* When coming from the instructions page, save participant data */

if (valid_email($_POST['participant'])) {
  $_SESSION['participant'] = $_POST['participant'];
 }
if (preg_match("/^[0-9]{2}$/", $_POST['age'])) {
  $_SESSION['age'] = $_POST['age'];
 }
if (($_POST['sex'] === 'female') || ($_POST['sex'] === 'male')) {
  $_SESSION['sex'] = $_POST['sex'];
 }
if (!empty($_POST['field'])) {
  $_SESSION['field'] = preg_replace('/[^a-zA-Z ]/', '', $_POST['field']);
}
if (!empty($_POST['language'])) {
  $_SESSION['language'] = preg_replace('/[^a-zA-Z ]/', '', $_POST['language']);
}

/* This won't do anything on first pass! */
/* If this page is being reloaded for the second time, then the results for the previous item are now available and we need to save them before we go on */

include "saveData.php";

/* The first pass through this file starts here */

$item_id = key($_SESSION['items']);
$thisitem = array_shift($_SESSION['items']);

include "header.html";
?>

<?php
/* Print how much of the experiment is already done */
$totalNbItems = $_SESSION['numberOfItems'];
$itemsLeft = count($_SESSION['items']);
$percentage = (round((1000*($totalNbItems-$itemsLeft-1)/$totalNbItems)))/10;
$howLong = preg_replace('/0/',$percentage, $howLong);
?>
<h1 align="center"><?php echo $howLong ?></h1>

<?php
/* Decide what page to show next: If there are still items to be shown, reload this page, otherwise show the thank-you page (which thanks the participant and sends the data to the experimenter) */
  if (!(empty($_SESSION['items']))) {
	$nextpage = "showItem.php";
	$submitbutton = $nextPageButton;
  } else {
	$nextpage = "experimentOver.php";
	$submitbutton = $lastPageButton;
  }

/* Show the current item */
?>

<div align=center>
<form action="<?php echo $nextpage?>" method="post">

<?php
  include "singleItem.php"
?>

<input type="submit" value="<?php echo $submitbutton?>" >
</div>

<?php
  include "footer.html"
?>
